Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JavaTM 2 Platform Std. Ed. v1.3.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## javax.swing.plaf.metal
Class MetalProgressBarUI

    java.lang.Object
      |
      +--javax.swing.plaf.ComponentUI
            |
            +--javax.swing.plaf.ProgressBarUI
                  |
                  +--javax.swing.plaf.basic.BasicProgressBarUI
                        |
                        +--javax.swing.plaf.metal.MetalProgressBarUI

public class MetalProgressBarUI
extends BasicProgressBarUI

The Metal implementation of ProgressBarUI.

Warning: Serialized objects of this class will not be compatible with future Swing releases. The current serialization support is appropriate for short term storage or RMI between applications running the same version of Swing. A future release of Swing will provide support for long term persistence.

Inner classes inherited from class javax.swing.plaf.basic.BasicProgressBarUI
`BasicProgressBarUI.ChangeHandler`

Fields inherited from class javax.swing.plaf.basic.BasicProgressBarUI
`changeListener, progressBar`

Constructor Summary
`MetalProgressBarUI()`

Method Summary
`static ComponentUI` | `createUI(JComponent c)`
`void` | `paint(Graphics g, JComponent c)` The sole reason for this paint method to even be here is that the JLF/Metal ProgressBar has a bit of special highlighting that needs to get drawn.

Methods inherited from class javax.swing.plaf.basic.BasicProgressBarUI
`getAmountFull, getCellLength, getCellSpacing, getMaximumSize, getMinimumSize, getPreferredInnerHorizontal, getPreferredInnerVertical, getPreferredSize, getSelectionBackground, getSelectionForeground, getStringPlacement, installDefaults, installListeners, installUI, paintString, setCellLength, setCellSpacing, uninstallDefaults, uninstallListeners, uninstallUI`

Methods inherited from class javax.swing.plaf.ComponentUI
`contains, getAccessibleChild, getAccessibleChildrenCount, update`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### MetalProgressBarUI

    public MetalProgressBarUI()

Method Detail

### createUI

    public static ComponentUI createUI(JComponent c)

### paint

    public void paint(Graphics g,
                      JComponent c)

  The sole reason for this paint method to even be here is that the JLF/Metal ProgressBar has a bit of special highlighting that needs to get drawn. The core painting is defered to the BasicProgressBar's paint method.
  Overrides:
    `paint` in class `BasicProgressBarUI`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JavaTM 2 Platform Std. Ed. v1.3.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug or feature
For further API reference and developer documentation, see Java 2 SDK SE Developer Documentation. That documentation contains more detailed, developer-targeted descriptions, with conceptual overviews, definitions of terms, workarounds, and working code examples.

Java, Java 2D, and JDBC are trademarks or registered trademarks of Sun Microsystems, Inc. in the US and other countries.
Copyright 1993-2001 Sun Microsystems, Inc. 901 San Antonio Road
Palo Alto, California, 94303, U.S.A. All Rights Reserved.